Subject: Re: bug#60694: Issue building derivations in 1.4.0

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 16 Jan 2023 11:33:19 -0500

Hi,

Tom Parker-Shemilt <[email-masked]> writes:

> On Fri, 13 Jan 2023 at 03:35, Maxim Cournoyer <[email-masked]> wrote:
>
>> How much memory (RAM) do you have available on the machine?
>>
>> Guix pull consumes close to 2 GiB peak, if I recall correctly.
>
> That was with 4GB. Tried upping to 8GB and now getting a different
> error. My channels.scm is

That should be more than enough for 'guix pull'.

> (list (channel
>     (name 'guix)
>     (url "git://git.savannah.gnu.org/guix.git")
>     (commit "8e2f32cee982d42a79e53fc1e9aa7b8ff0514714"); tag v1.4.0
>     (introduction (make-channel-introduction
>    "9edb3f66fd807b096b48283debdcddccfea34bad"     ;2020-05-26
>    (openpgp-fingerprint
>     "BBB0 2DDF 2CEA F6A8 0D1D  E643 A2A0 6DF2 A33A 54FA")))))
>
> ==> virtualbox-iso: guix system: error: aborting reconfiguration
> because commit 8e2f32cee982d42a79e53fc1e9aa7b8ff0514714 of channel
> 'guix' is not a descendant of 989a3916dc8967bcb7275f10452f89bc6c3389cc

It looks like you have inverted the introduction and Guix commit?
989a3916dc8967bcb7275f10452f89bc6c3389cc corresponds to v1.4.0.

-- 
Thanks,
Maxim